Package org.eclipse.rdf4j.spring.operationlog.log

## Class PseudoOperation

- java.lang.Object
- - org.eclipse.rdf4j.spring.operationlog.log.PseudoOperation

-     public class PseudoOperation
      extends Object

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PseudoOperation` | `forAdd​(Object... args)` |
    `static PseudoOperation` | `forClear​(Object... args)` |
    `static PseudoOperation` | `forGetSatements​(Object... args)` |
    `static PseudoOperation` | `forHasStatement​(Object... args)` |
    `static PseudoOperation` | `forMethodNameAndArgs​(String methodName, Object... args)` |
    `static PseudoOperation` | `forRemove​(Object... args)` |
    `static PseudoOperation` | `forSize​(Object... args)` |
    `String` | `getOperation()` |
    `int` | `getValuesHash()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forGetSatements

          public static PseudoOperation forGetSatements​(Object... args)

    - #### forAdd

          public static PseudoOperation forAdd​(Object... args)

    - #### forRemove

          public static PseudoOperation forRemove​(Object... args)

    - #### forClear

          public static PseudoOperation forClear​(Object... args)

    - #### forHasStatement

          public static PseudoOperation forHasStatement​(Object... args)

    - #### forMethodNameAndArgs

          public static PseudoOperation forMethodNameAndArgs​(String methodName,
                                                             Object... args)

    - #### forSize

          public static PseudoOperation forSize​(Object... args)

    - #### getOperation

          public String getOperation()

    - #### getValuesHash

          public int getValuesHash()